variables:
  MAVEN_OPTS: "-Dhttps.protocols=TLSv1.2 -Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository
    -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN
    -Dorg.slf4j.simpleLogger.showDateTime=true -Djava.awt.headless=true"
  MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true
    -DdeployAtEnd=true"

image: maven:3-jdk-11
cache:
  paths:
    - ".m2/repository"
stages:
  - build
  - package
  - test

build:
  stage: build
  script: "mvn install -B"
package:
  stage: package
  script: "mvn package"
test:
  stage: test
  script: "mvn test"
